Include and use sqlite directly rather than the QtSql abstraction
06/22/2007 04:56 PM - Sputnick
Priority: Normal Due date:

Assignee: EgS % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour

Target version:
Version: 0.3.1+ 0S: Any

Description

Quassel needs to have sqlite support. Right now, we depend on Qt4 having sqlite support installed, which is not always the case. If
Qt4 has been compiled without sqlite support, Quassel cannot be run.

We should therefore include the sqlite library within our sources and integrate it ourselves. This is encouraged by the sqlite people,
and also made very easy because they provide a single *.c file containing all the code. We'd only need to compile this file together
with the core to be able to use the lib.

Of course, SqliteStorage would have to be rewritten to not use Qt's SQL layer, but to use the lib directly.

Positive side effect: Make sqlite use utf8 instead of utf16. Since we mostly store strings, this should almost halve the size of the
storage file.

History

#1 - 10/12/2008 07:49 PM - Sputnick

Do we still want that? I'd say yes (to get rid of that darn dependency), but maybe it's not worth the effort...

#2 - 10/13/2008 02:20 AM - EgS

Don't think it's worth the hazzle.
If we're going to integrate a dbe directly then I'm voting for mysql embedded.

Featuring support for Postgres, MySQL and MySQL embedded we would have 2 storage backends to maintain while fulfilling most needs.

#3 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#4 - 01/26/2009 12:15 AM - EgS
- Status changed from Feedback to Rejected
- Assignee set to EgS

- Version setto 0.3.1+

Not worth the hazzle...
